cgGetFirstPass(3)

NAME
cgGetFirstPass - get the first pass in a technique

SYNOPSIS
  #include <Cg/cg.h>
  CGpass cgGetFirstPass( CGtechnique tech );

PARAMETERS

tech
    The technique from which to retrieve the first pass.

RETURN VALUES
Returns the first CGpass object in tech.

Returns NULL if tech contains no passes.

DESCRIPTION
cgGetFirstPass is used to begin iteration over all of the passes contained within a technique. See the cgGetNextPass manpage for more information.

EXAMPLES
  CGpass pass = cgGetFirstPass( tech );
  while ( pass )
  {
    /* Do stuff with pass */
    leaf = cgGetNextPass( pass );
  }

ERRORS
CG_INVALID_TECHNIQUE_HANDLE_ERROR is generated if tech is not a valid technique.

HISTORY
cgGetFirstPass was introduced in Cg 1.4.

SEE ALSO
the cgGetNextPass manpage, the cgGetNamedPass manpage, the cgIsPass manpage